package com.pcloud.book.book.biz;

import com.pcloud.book.book.entity.QrcodeSceneErp;
import com.pcloud.common.page.PageBeanNew;
import java.util.List;

/**
 * ERP自动创建二维码临时表，由于没有 adviserId，所以无法创建二维码，将数据暂存，关联时再创建(QrcodeSceneErp)表服务接口
 *
 * @author makejava
 * @since 2020-08-26 21:00:12
 */
public interface QrcodeSceneErpBiz {

    /**
     * 通过ID查询单条数据
     *
     * @param sceneErpId 主键
     * @return 实例对象
     */
    QrcodeSceneErp getById(Long sceneErpId);

    /**
     * 分页查询
     */
    PageBeanNew getList(Integer currentPage, Integer numPerPage);

    /**
     * 新增数据
     *
     * @param qrcodeSceneErp 实例对象
     * @return 主键
     */
    Long insert(QrcodeSceneErp qrcodeSceneErp);

    /**
     * 修改数据
     *
     * @param qrcodeSceneErp 实例对象
     */
    void update(QrcodeSceneErp qrcodeSceneErp);

    /**
     * 通过主键删除数据
     *
     * @param sceneErpId 主键
     * @return 是否成功
     */
    void deleteById(Long sceneErpId);

}